FROM registry.cn-chengdu.aliyuncs.com/reghao/eclipse-temurin:21-jre-alpine

WORKDIR /app
RUN ln -sf /usr/share/zoneinfo/Asia/Shanghai /etc/localtime && echo 'Asia/Shanghai' >/etc/timezone

COPY user/user-service/target/tnb-user.jar /app/tnb-user.jar

ENTRYPOINT ["java","-Djava.security.egd=file:/dev/./urandom","-Djava.awt.headless=true","-jar","/app/tnb-user.jar"]